#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int x;
    cin >> x;
    if (x <= 150)
        printf("%.1lf", x * 0.4463);
    else if (x <= 400)
        printf("%.1lf", 150 * 0.4463 + (x - 150) * 0.4663);
    else
        printf("%.1lf", 150 * 0.4463 + 250 * 0.4663 + (x - 400) * 0.5663);
    return 0;
}
